import {test, describe, expect, } from 'vitest'
import { shallowMount} from '@vue/test-utils'
import AppContainer from '@frames/AppContainer/AppContainer.vue';
import {createStore} from "vuex";
import { store as layout } from '@/store/modules/layout';
import { store as auth } from '@/store/modules/auth';

describe('AppContainer', () => {
  const store = createStore({
    modules: {
      layout,
      auth
    },
  })
  
  test('AppContainer mounted', () => {
    const wrapper = shallowMount(AppContainer,
      {
        global: {
          mocks: {
            $store: store,
          },
        }}
    )
    expect(wrapper.exists()).toBe(true)
  })
})